it.csi.mddtools.guigen

## Enum TargetPlatformCodes

- java.lang.Object
- - java.lang.Enum<TargetPlatformCodes>
  - - it.csi.mddtools.guigen.TargetPlatformCodes

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TargetPlatformCodes>, org.eclipse.emf.common.util.Enumerator

      public enum TargetPlatformCodes
      extends java.lang.Enum<TargetPlatformCodes>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Target Platform Codes', and utility methods for working with them. codici di piattaforma target disponibili
  See Also:
    `GuigenPackage.getTargetPlatformCodes()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `JBOSS43` The 'JBoss43' literal object
    `WLS92` The 'WLS92' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `JBOSS43_VALUE` The 'JBoss43' literal value
    `static java.util.List<TargetPlatformCodes>` | `VALUES` A public read-only list of all the 'Target Platform Codes' enumerators
    `static int` | `WLS92_VALUE` The 'WLS92' literal value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TargetPlatformCodes` | `get(int value)` Returns the 'Target Platform Codes' literal with the specified integer value
    `static TargetPlatformCodes` | `get(java.lang.String literal)` Returns the 'Target Platform Codes' literal with the specified literal value
    `static TargetPlatformCodes` | `getByName(java.lang.String name)` Returns the 'Target Platform Codes' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static TargetPlatformCodes` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TargetPlatformCodes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### WLS92

          public static final TargetPlatformCodes WLS92

      The 'WLS92' literal object.
      See Also:
        `WLS92_VALUE`

    - #### JBOSS43

          public static final TargetPlatformCodes JBOSS43

      The 'JBoss43' literal object.
      See Also:
        `JBOSS43_VALUE`

  - ### Field Detail

    - #### WLS92_VALUE

          public static final int WLS92_VALUE

      The 'WLS92' literal value.

      If the meaning of 'WLS92' literal object isn't clear, there really should be more of a description here...

      See Also:
        `WLS92`, Constant Field Values

    - #### JBOSS43_VALUE

          public static final int JBOSS43_VALUE

      The 'JBoss43' literal value.

      If the meaning of 'JBoss43' literal object isn't clear, there really should be more of a description here...

      See Also:
        `JBOSS43`, Constant Field Values

    - #### VALUES

          public static final java.util.List<TargetPlatformCodes> VALUES

      A public read-only list of all the 'Target Platform Codes' enumerators.

  - ### Method Detail

    - #### values

          public static TargetPlatformCodes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TargetPlatformCodes c : TargetPlatformCodes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TargetPlatformCodes valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static TargetPlatformCodes get(java.lang.String literal)

      Returns the 'Target Platform Codes' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static TargetPlatformCodes getByName(java.lang.String name)

      Returns the 'Target Platform Codes' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static TargetPlatformCodes get(int value)

      Returns the 'Target Platform Codes' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<TargetPlatformCodes>`